# HG changeset patch
# User Jens Jensen <kd4tjx@yahoo.com>
# Date 1382151029 18000
#      Fri Oct 18 21:50:29 2013 -0500
# Node ID 40de7487d977f942e03a3c99fb2a43ee97465804
# Parent  f326c0deb8f31d855f0d933bbbf4b50fd3a03352
[vx-3] minor fix to strip trailing spaces from bank names to pass tests & update channels from 900 to 999.  #1119

diff -r f326c0deb8f3 -r 40de7487d977 chirp/vx3.py
--- a/chirp/vx3.py	Fri Oct 18 14:36:59 2013 -0500
+++ b/chirp/vx3.py	Fri Oct 18 21:50:29 2013 -0500
@@ -54,7 +54,7 @@
      odd_skip:1,
      odd_valid:1,
      odd_masked:1;
-} flags[900];
+} flags[999];
 
 #seekto 0x244A;
 struct {
@@ -80,7 +80,7 @@
   u8   unknown7:4,
        automode:1,
        unknown8:3;
-} memory[1000];
+} memory[999];
 """
 
 #fix auto mode setting and auto step setting
@@ -116,7 +116,7 @@
             if i == 0xFF:
                 break
             name += CHARSET[i & 0x7F]
-        return name
+        return name.rstrip()
 
     def set_name(self, name):
         name = name.upper()
@@ -255,7 +255,7 @@
         rf.valid_power_levels = POWER_LEVELS
         rf.valid_characters = "".join(CHARSET)
         rf.valid_name_length = 6
-        rf.memory_bounds = (1, 900)
+        rf.memory_bounds = (1, 999)
         rf.can_odd_split = True
         rf.has_ctone = False
         return rf
